<?php 
class ControllerTotalGiftWrap extends Controller {
	public function index() {
		$this->language->load('total/gift_wrap');
		
		$this->data['heading_title'] = $this->language->get('heading_title');
		
		$this->data['entry_coupon'] = $this->language->get('entry_coupon');
		
		$this->data['button_coupon'] = $this->language->get('button_coupon');
				
		if (isset($this->session->data['coupon'])) {
			$this->data['coupon'] = $this->config->data['coupon'];
		} else {
			$this->data['coupon'] = '';
		}

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/total/gift_wrap.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/total/gift_wrap.tpl';
		} else {
			$this->template = 'default/template/total/gift_wrap.tpl';
		}
					
		$this->render();
  	}
}
?>